# IceGrid::AdapterInfo

## Overview

### struct AdapterInfo

Information about an adapter registered with the IceGrid registry.

#### Used By

AdapterInfoSeq
AdapterObserver::adapterAdded
AdapterObserver::adapterUpdated

## Data Member Index

id
  The id of the adapter.
proxy
  A dummy direct proxy that contains the adapter endpoints.
replicaGroupId
  The replica group id of the object adapter, or empty if the adapter doesn't belong to a replica group.

## Data Members

string id;

  The id of the adapter.

Object* proxy;

  A dummy direct proxy that contains the adapter endpoints.

string replicaGroupId;

  The replica group id of the object adapter, or empty if the adapter doesn't belong to a replica group.